
package de.ivu.elect.presentation.stimmeingabe;

import java.util.List;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.GebietPK;
import de.ivu.elect.presentation.edit.AbstractViewScopeStore;

@ViewAccessScoped
public class StimmeingabeErfassenViewViewAccessScopedStateStore extends AbstractViewScopeStore<Gebiet, GebietPK> {

  private static final long serialVersionUID = 1L;

  public StimmeingabeErfassenViewViewAccessScopedStateStore() {
    super();
  }

  @Override
  protected String getMessageKey() {
    return "stimmeingabe.gleichzeitig.erfassen";
  }

  private StimmeingabeErfassenViewContext stimmeingabeErfassenViewContext;
  private List<StimmeingabePlausiFehler> stimmeingabenPlausiFehler;

  public StimmeingabeErfassenViewContext getStimmeingabeErfassenViewContext() {
    return stimmeingabeErfassenViewContext;
  }

  public void setStimmeingabeErfassenViewContext(StimmeingabeErfassenViewContext stimmeingabeErfassenViewContext) {
    this.stimmeingabeErfassenViewContext = stimmeingabeErfassenViewContext;
  }

  public List<StimmeingabePlausiFehler> getStimmeingabenPlausiFehler() {
    return stimmeingabenPlausiFehler;
  }

  public void setStimmeingabenPlausiFehler(List<StimmeingabePlausiFehler> stimmeingabenPlausiFehler) {
    this.stimmeingabenPlausiFehler = stimmeingabenPlausiFehler;
  }

  public void reset() {
    stimmeingabeErfassenViewContext = null;
    stimmeingabenPlausiFehler = null;
  }
}
